import org.junit.Assert;
import org.junit.Test;

public class MyArrayListTest {
    MyArrayList myArrayList=new MyArrayList();

    @Test
    public void testAddIntegers()
    {
        Integer[] intArray = new Integer[]{ 1, 2, 3,  4, 5,6, 7, 8};
        MyArrayList<Integer> myArrayList = new MyArrayList(intArray);
        Integer[] expected = new Integer[]{1, 2, 3,  4, 5,6, 7, 8, 9};
        Integer[] actual = myArrayList.add(9);
        Assert.assertArrayEquals(expected, actual);
    }
    @Test
    public void testAddIntegersAtIndex()
    {
        Integer[] intArray = new Integer[]{ 1, 2, 3, 4,5,6, 7, 8};
        MyArrayList<Integer> myArrayList = new MyArrayList(intArray);
        Integer[] expected = new Integer[]{1, 2, 3,10, 4,5,6, 7, 8};
        Integer[] actual = myArrayList.addIndex(10,3);
        Assert.assertArrayEquals(expected, actual);
    }

    @Test
    public void getTest()
    {
        Integer expected=3;
        Integer[] intArray = new Integer[]{1,2,3,4,5,6,7,8};
        MyArrayList<Integer> myArrayList = new MyArrayList(intArray);
        Integer actual=myArrayList.get(2);
        Assert.assertEquals(actual, expected);
    }
    @Test
    public void removeTest()
    {
        Integer[] intArray = new Integer[]{ 1, 2, 3, 4,5,6, 7, 8};
        MyArrayList<Integer> myArrayList = new MyArrayList(intArray);
        Integer[] expected = new Integer[]{1,2,4,5,6, 7, 8};
        Integer[] actual = myArrayList.remove(2);
        Assert.assertArrayEquals(expected, actual);
    }
    @Test
    public void clearTest()
    {
        Integer[] intArray = new Integer[]{ 1, 2, 3, 4,5,6, 7, 8};
        MyArrayList<Integer> myArrayList = new MyArrayList(intArray);
        Integer[] expected = new Integer[]{};
        Integer[] actual = myArrayList.clear();
        Assert.assertArrayEquals(expected, actual);
    }
    @Test
    public void setTest()
    {
        Integer[] intArray = new Integer[]{ 1, 2, 3, 4,5,6, 7, 8};
        MyArrayList<Integer> myArrayList = new MyArrayList(intArray);
        Integer[] expected = new Integer[]{1,2,10,4,5,6,7,8};
        Integer[] actual = myArrayList.set(10,2);
        Assert.assertArrayEquals(expected, actual);
    }
    @Test
    public void isEmptyTest()
    {
        Integer[] intArray = new Integer[]{};
        MyArrayList<Integer> myArrayList = new MyArrayList(intArray);
        Boolean expected = true;
        Boolean actual = myArrayList.isEmpty();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void containsTrueTest()
    {
        Integer[] intArray = new Integer[]{1, 2, 3, 4,5,6, 7, 8};
        MyArrayList<Integer> myArrayList = new MyArrayList(intArray);
        Boolean expected = true;
        Boolean actual = myArrayList.contains(3);
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void containsFalseTest()
    {
        Integer[] intArray = new Integer[]{1, 2, 3, 4,5,6, 7, 8};
        MyArrayList<Integer> myArrayList = new MyArrayList(intArray);
        Boolean expected = false;
        Boolean actual = myArrayList.contains(10);
        Assert.assertEquals(expected, actual);
    }
}
