import org.junit.Assert;
import org.junit.Test;

import java.util.HashSet;
import java.util.Set;
import java.util.TreeSet;

public class MySetTest {
    @Test
    public void AddTest()
    {
        Integer[] intArray = new Integer[]{1, 2, 3, 4,5,6, 7, 8};
        Myset<Integer> mySet=new Myset<>(intArray);
        Integer[] actual = mySet.add(10);
        Integer[] expected=new Integer[]{1, 2, 3, 4,5,6, 7, 8,10};
        Assert.assertArrayEquals(actual, expected);
    }
    @Test
    public void AddDuplicateTest()
    {
        Integer[] intArray = new Integer[]{1, 2, 3, 4,5,6, 7, 8};
        Myset<Integer> mySet=new Myset<>(intArray);
        Integer[] actual = mySet.add(8);
        Integer[] expected=new Integer[]{1, 2, 3, 4,5,6, 7, 8};
        Assert.assertArrayEquals(actual, expected);
    }
    @Test
    public void clearTest()
    {
        Integer[] intArray = new Integer[]{ 1, 2, 3, 4,5,6, 7, 8};
        Myset<Integer> mySet = new Myset(intArray);
        Integer[] expected = new Integer[]{};
        Integer[] actual = mySet.clear();
        Assert.assertArrayEquals(expected, actual);
    }
    @Test
    public void containsTrueTest()
    {
        Integer[] intArray = new Integer[]{1, 2, 3, 4,5,6, 7, 8};
        Myset<Integer> mySet = new Myset(intArray);
        Boolean expected = true;
        Boolean actual = mySet.contains(3);
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void containsFalseTest()
    {
        Integer[] intArray = new Integer[]{1, 2, 3, 4,5,6, 7, 8};
        Myset<Integer> mySet = new Myset(intArray);
        Boolean expected = false;
        Boolean actual = mySet.contains(10);
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void isEmptyTest()
    {
        Integer[] intArray = new Integer[]{};
        Myset<Integer> mySet = new Myset(intArray);
        Boolean expected = true;
        Boolean actual = mySet.isEmpty();
        Assert.assertEquals(expected, actual);
    }

}
